Skip to main content
PATCH
Update a route

Authorizations

Authorization
string
header
required

Your Graviton API token. Send Authorization: Bearer YOUR_API_TOKEN or Authorization: YOUR_API_TOKEN. Each token has individual permissions; a valid token without the permission required by the method and route returns 403 TOKEN_PERMISSION_DENIED.

Path Parameters

id
integer
required
Required range: x >= 1

Body

application/json
route_name
any

Route name.

route_color
any

Route color.

route_visible
any

Route visible.

route_name_visible
any

Route name visible.

route_deviation
any

Route deviation.

route_points
any

Route points.

Response

Successful response

success
enum<boolean>
required
Available options:
true
data
object
required
meta
object